import type { LabelPropType, LinkProps, SkipNavAPI, SkipNavStates, Stringified } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolSkipNav implements SkipNavAPI {
    render(): JSX.Element;
    _label: LabelPropType;
    _links: Stringified<LinkProps[]>;
    state: SkipNavStates;
    validateLabel(value?: LabelPropType, _oldValue?: LabelPropType, initial?: boolean): void;
    validateLinks(value?: Stringified<LinkProps[]>): void;
    componentWillLoad(): void;
    disconnectedCallback(): void;
}
